package document

import "testing"

func TestNewDocument(t *testing.T) {
	d := NewDocument()

	if d == nil {
		t.Errorf("Failed to create Document")
	}
}

func TestAppendRow(t *testing.T) {
	d := NewDocument()
	d.AppendRow("Test Row")

	got := len(d.rows)
	want := 1

	if got != want {
		t.Errorf("Failed to add a row to the Document")
	}
}

func TestRowCount(t *testing.T) {
	d := NewDocument()
	d.AppendRow("Test Row")

	got := d.RowCount()
	want := 1

	if got != want {
		t.Errorf("Expected %d rows, got %d rows", want, got)
	}
}
